package ab.issue.db.model;

import android.arch.persistence.room.Embedded;

import ab.issue.model.Barcode;
import ab.issue.model.values.ContactInfoBarcodeFormat;

public class ContactInfoBarcode extends BarcodeFormatValueWrapper<ContactInfoBarcodeFormat> {

    @Embedded
    public Barcode barcode;

    @Embedded
    public ContactInfoBarcodeFormat contactInfoBarcodeFormat;

    @Override
    protected Barcode getBarcode() {
        return barcode;
    }

    @Override
    protected ContactInfoBarcodeFormat getFormatValue() {
        return contactInfoBarcodeFormat;
    }
}
